[single_action.spec]
id = "single_action"

[[single_action.external.action]]
id = "split_string"
operation = "split string"

[[single_action.data.picker]]
id = "pick_id"
source = "IDENTITY_1"
target = "input_string"

[[single_action.data.putter]]
id = "put_id"
source = "output_words"
target = "IDENTITY_2"

[[single_action.control.start]]
id = "start"

[[single_action.control.action]]
id = "action"
action = "split_string"
pickers = ["pick_id"]
putters = ["put_id"]

[[single_action.control.end]]
id = "end"

[[single_action.control.channel]]
upstream = "start"
downstream = "action"

[[single_action.control.channel]]
upstream = "action"
downstream = "end"
